Page MenuHomePhabricator

create tags for Research
Closed, ResolvedPublic

Description

Request

Please add the following tags for the Research team:

FY20-Research-July-September
FY20-Research-October-December
FY20-Research-January-March
FY20-Research-April-June
foundational

The first four will help us with tracking quarterly goals, and the last three items with program specific tasks.

Note: I initially had The month intervals in the first four tags names as Q1-Q4 but I remembered that we discussed at some point that the Q* is not very understandable but those outside of WMF. I would argue that FY* is as bad as Q* and that I prefer Q1-Q4 but I'm happy to go with what the recommendation/norm is here.

Event Timeline

leila created this task.Jul 17 2019, 11:09 PM

Are these supposed to be subprojects of Research? If not, how is each of those tags described and which types are they supposed to be?

FY1920 should probably be FY2019-20 to respect https://meta.wikimedia.org/wiki/Communications/Communicating_about_the_Wikimedia_Foundation#Dates

Knowledge-Integrity already exists as a top-level project tag. address-knowledge-gaps already exists as a top-level project tag (not sure why they are groups).

leila added a comment.Jul 18 2019, 1:03 AM

Are these supposed to be subprojects of Research?

Yes.

FY1920 should probably be FY2019-20 to respect https://meta.wikimedia.org/wiki/Communications/Communicating_about_the_Wikimedia_Foundation#Dates

Ok. Let's go with your suggestion. What do you suggest for Q1 vs July-September?

Knowledge-Integrity already exists as a top-level project tag. address-knowledge-gaps already exists as a top-level project tag (not sure why they are groups).

You're right. I'm not well-versed in Phabricator and didn't realize I can use those. I'll do that.

not well-versed

I'm going to confuse you more now, I'm afraid. :-/

The Research project tag has no subprojects or milestones so far. If #foundational became its first subproject, then all members of the parent project (Research) would be moved to the subproject. Not sure you want that.

In any case, we need a description what "foundational" means that can be understood by others. :)

Looking at https://phabricator.wikimedia.org/tag/language-team/ I see they use Milestones for their quarterly projects so maybe that's also an option for Research for the FY quarterly tags? Note however that a task cannot be in more than one milestone at the same time. (And milestones don't have separate members.)

leila added a comment.Jul 18 2019, 1:45 AM

@Aklapper Your latest question made me think that it's perhaps best for me to step back and look at all our team's workflow on Phabricator and then come with my request to you. I /think/ there is some opportunity for us to improve the processes we have on Phabricator and I should do that first before asking for new tags. I will get back to you.

@leila: Heh, alright. :) https://www.mediawiki.org/wiki/Phabricator/Project_management might provide some bits and pieces, but since Team Practices Group does not exist anymore I'm afraid that we're leaving teams way more on their own than we could and should. Let me know if I can help somehow!

leila added a comment.Jul 18 2019, 2:01 AM

Thanks for the link and the offer. :)

Aklapper changed the task status from Open to Stalled.Jul 18 2019, 12:15 PM

Setting task status to stalled; please set the status back to "Open" via the Add Action...Change Status dropdown once more actionable. Thanks!

leila changed the task status from Stalled to Open.Oct 15 2019, 8:54 PM
leila triaged this task as Normal priority.
leila updated the task description. (Show Details)
leila updated the task description. (Show Details)Oct 15 2019, 10:38 PM

@Aklapper I removed knowledge-gaps and knowledge-integrity. We will reuse the projects that already exist for those. thanks for highlighting those to me.

I still need the other 5 though. FY20-Research-*'s description is "Tasks associated with the goals of the research team during FY20, months July-September" ...

foundational: "This tag captures work by the Research team to build a stronger foundations for Research. For more info, please visit https://meta.wikimedia.org/wiki/File:Foundations_-_Wikimedia_Research_2030.pdf"

@leila: Should foundational be a subproject of Research? Should the FY2019-20* projects be milestones under Research?
Also see https://www.mediawiki.org/wiki/Phabricator/Project_management#Parent_Projects,_Subprojects_and_Milestones

@leila: Should foundational be a subproject of Research?

Yes, please.

Should the FY2019-20* projects be milestones under Research?

Sure. Thanks!

Also see https://www.mediawiki.org/wiki/Phabricator/Project_management#Parent_Projects,_Subprojects_and_Milestones

Aklapper claimed this task.Mon, Oct 28, 2:25 PM

Alright:

Hope that works? :)

leila added a comment.Tue, Nov 5, 7:06 PM

Alright:

done.

Hope that works? :)

This is awesome. Thanks! Looking at the list of subprojects for Research I'm wondering: do you think it's possible to also make address-knowledge-gap and knowledge-integrity subprojects of Research? (from my narrow view, that can make things much clearer as when I land at https://phabricator.wikimedia.org/project/subprojects/45/ I see them all in one place.)

leila moved this task from Staged to In Progress on the Research board.Tue, Nov 5, 7:06 PM

Looking at the list of subprojects for Research I'm wondering: do you think it's possible to also make address-knowledge-gap and knowledge-integrity subprojects of Research? (from my narrow view, that can make things much clearer as when I land at https://phabricator.wikimedia.org/project/subprojects/45/ I see them all in one place.)

@leila: Yes, that is possible; Phab admins with CLI access have a script for that (thanks to Mukunda). Would you like me/us to do that? :)

leila added a comment.Wed, Nov 6, 4:28 PM

Let's do it, please. Thanks!

Aklapper closed this task as Resolved.Thu, Nov 7, 3:50 PM

Should be done now! Wondering whether to change from "Group/violet" to "Component/blue" for these two new subprojects at https://phabricator.wikimedia.org/project/edit/3523/ and https://phabricator.wikimedia.org/project/edit/3465/ ; plus you might want to check the side bar items on the left. :)

(Note to myself, for next time: Don't use --keep-members both because that will add all parent project members to the (soon to be sub)project.)

leila added a comment.Fri, Nov 8, 1:19 AM

Thanks for all the changes and help! all good on my end.

Quickly dropping thoughts from an earlier Hangout meeting about subprojects vs milestones:

One more warning: A task cannot be in more than one milestone of the same parent project.

When it comes to fiddling with SQL to convert from a subproject to a milestone project: Would need to edit the project table in the phabricator_project database. For the parent project (WHERE project.name ="Research") changing hasMilestones` from 0 to 1 and changing hasSubprojects from 1 to 0. For the subprojects to become milestones, changing for each of them the column milestoneNumber from NULL to the integer values 1 to 4. That's my understanding of what to do.

Thanks, @Aklapper! I created a task at T238258 and formally submitted my change request.